Bug 164783 - rhnsd stops checking in; no logging to explain why
rhnsd stops checking in; no logging to explain why
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 08:40 EDT by Chester Hosey
Modified: 2013-02-26 19:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chester Hosey 2005-08-01 08:40:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I have a system which failed to check in to RHN for no apparent reason. I cannot find any log entries (via egrep rhn /var/log or checking /var/log/up2date.log).

Ideally, up2date would log unsuccessful attempts to contact the RHN servers to assist with problem resolution. Restarting rhnsd triggered an immediate checkin and removed the system in question from the inactive list, and manual runs of rhn_check also seem to succeed.

I brought down the network interface on a local machine and ran rhn_check to see whether anything would be logged; nothing appeared at all in /var/log and there seems to be no way to increase the verbosity of rhn_check/up2date logging to include failed actions.

It would be nice to have the option to kill -USR1 `pidof rhnsd` to enable failure logging or to have it turned on by default.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Sever network connectivity to RHN
2. Run rhn_check or up2date
3. Console messages result, but nothing is logged
  

Expected Results:  Console messages are less than helpful when a program is run on a remote machine via an automated process. Some mechanism should exist by which administrators of RHEL machines would be provided with helpful information regarding RHN faults.

Additional info:
Comment 3 Jiri Pallich 2012-06-20 12:04:15 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.